/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_sqrt.c                                          :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jahuang <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2020/10/25 11:47:30 by jahuang           #+#    #+#             */
/*   Updated: 2020/10/25 15:40:14 by jahuang          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int		ft_sqrt(int nb)
{
	int i;
	int max;

	max = 46341;
	i = 1;
	while (i * i < nb && i < max)
		i++;
	if (i * i == nb)
		return (i);
	else
		return (0);
}
